Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.compression
Class SshCompressionFactory

    java.lang.Object
      com.sshtools.j2ssh.transport.compression.SshCompressionFactory

public class SshCompressionFactory
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static java.lang.String` | `COMP_NONE` DOCUMENT ME!

Constructor Summary
`protected` | `SshCompressionFactory()` Creates a new SshCompressionFactory object.

Method Summary
`static java.lang.String` | `getDefaultCompression()` DOCUMENT ME!
`static java.util.List` | `getSupportedCompression()` DOCUMENT ME!
`static void` | `initialize()` DOCUMENT ME!
`static SshCompression` | `newInstance(java.lang.String algorithmName)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMP_NONE

    public static final java.lang.String COMP_NONE

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshCompressionFactory

    protected SshCompressionFactory()

  Creates a new SshCompressionFactory object.

Method Detail

### initialize

    public static void initialize()

  DOCUMENT ME!

### getDefaultCompression

    public static java.lang.String getDefaultCompression()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedCompression

    public static java.util.List getSupportedCompression()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### newInstance

    public static SshCompression newInstance(java.lang.String algorithmName)
                                      throws AlgorithmNotSupportedException

  DOCUMENT ME!

  Parameters:
    `algorithmName` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmNotSupportedException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD